_uuid_upnp Struct Reference

`#include <uuid.h>`

## Data Fields

uint32_t | time_low
uint16_t | time_mid
uint16_t | time_hi_and_version
uint8_t | clock_seq_hi_and_reserved
uint8_t | clock_seq_low
uint8_t | node [6]

## Detailed Description

## Field Documentation

## clock_seq_hi_and_reserved

uint8_t _uuid_upnp::clock_seq_hi_and_reserved

Referenced by format_uuid_v1(), format_uuid_v3(), upnp_uuid_unpack(), and uuid_compare().

## clock_seq_low

uint8_t _uuid_upnp::clock_seq_low

Referenced by format_uuid_v1(), upnp_uuid_unpack(), and uuid_compare().

## node

uint8_t _uuid_upnp::node[6]

Referenced by format_uuid_v1(), upnp_uuid_unpack(), and uuid_compare().

## time_hi_and_version

uint16_t _uuid_upnp::time_hi_and_version

Referenced by format_uuid_v1(), format_uuid_v3(), upnp_uuid_unpack(), uuid_compare(), and uuid_create_from_name().

## time_low

uint32_t _uuid_upnp::time_low

Referenced by format_uuid_v1(), format_uuid_v3(), upnp_uuid_unpack(), uuid_compare(), and uuid_create_from_name().

## time_mid

uint16_t _uuid_upnp::time_mid

Referenced by format_uuid_v1(), format_uuid_v3(), upnp_uuid_unpack(), uuid_compare(), and uuid_create_from_name().

The documentation for this struct was generated from the following file:

- /build/pupnp-yoxcDv/pupnp-1.14.31/upnp/src/inc/uuid.h